######################################
##   makefile SH                    ##
######################################

srcp = $(%cdrive):$(%cwd)
objp = $(srcp)\o
exep = $(srcp)
libp = $(srcp)\o

PP = wpp386
CC = wcc386
ASM = wasm

APILIB= c:\watcom\joe\fmr\miles\ail.lib


# options debug
CFLAGS = -mf -zq -d2 -w3 -4s -s

# options code optimis‚
# CFLAGS = -mf -zq -w3 -4s -oxt

#AFLAGS = /c /Zd /Zi /Zf /Gd /Cp
AFLAGS = /D2
# Linker_options   =
LFLAGS = sys dos4g op c d a


OBJVERIF =   sh.obj sound.obj c:\watcom\joe\fmr\miles\dllload.obj
				   
OBJ =  sh,sound, c:\watcom\joe\fmr\miles\dllload

####################
## Makefile rules ##
####################

sh.exe : $(OBJVERIF)
	*wlink $(LFLAGS) n sh f $(OBJ) l $(APILIB)
#	wlink D A lib $(APILIB) @$(exe)mil.lnk
#	for %i in ($(OBJVERIF)) do wlib 3d.lib +-%i


.cpp.obj:
	$(PP) $(CFLAGS) $<

.c.obj:
	$(CC) $(CFLAGS) $<

.asm.obj :
	$(ASM) $(AFLAGS) $<


